MDL-65763 lib: Update GeoIP2 and MaxMind DB reader versions in Moodle
authorMihail Geshoski <mihail@moodle.com>
Fri, 14 Jun 2019 05:10:53 +0000 (13:10 +0800)
committerMihail Geshoski <mihail@moodle.com>
Fri, 12 Jul 2019 00:17:46 +0000 (08:17 +0800)
lib/maxmind/readme_moodle.txt
lib/thirdpartylibs.xml

index e960210..8b90c90 100644 (file)
@@ -16,15 +16,15 @@ Installation
 ------------
 
 1) Download the latest versions of GeoIP2-php and MaxMind-DB-Reader-php
-wget https://github.com/maxmind/GeoIP2-php/archive/v2.6.0.zip
-wget https://github.com/maxmind/MaxMind-DB-Reader-php/archive/v1.1.3.zip
+wget https://github.com/maxmind/GeoIP2-php/archive/v2.9.0.zip
+wget https://github.com/maxmind/MaxMind-DB-Reader-php/archive/v1.4.1.zip
 
 2) Unzip the archives
-unzip v2.6.0.zip
-unzip v1.1.3.zip
+unzip v2.9.0.zip
+unzip v1.4.1.zip
 
 3) Move the source code directories into place
-mv GeoIP2-php-2.6.0/src/ /path/to/moodle/lib/maxmind/GeoIp2/
-mv MaxMind-DB-Reader-php-1.1.3/src/MaxMind/ /path/to/moodle/lib/maxmind/MaxMind/
+mv GeoIP2-php-2.9.0/src/ /path/to/moodle/lib/maxmind/GeoIp2/
+mv MaxMind-DB-Reader-php-1.4.1/src/MaxMind/ /path/to/moodle/lib/maxmind/MaxMind/
 
 4) Run unit tests on iplookup/tests/geoip_test.php with PHPUNIT_LONGTEST defined.
index 8623c2e..2862838 100644 (file)
     <location>maxmind/GeoIp2</location>
     <name>GeoIP2 PHP API</name>
     <license>Apache 2.0</license>
-    <version>2.6.0</version>
+    <version>2.9.0</version>
   </library>
   <library>
     <location>maxmind/MaxMind</location>
     <name>MaxMind DB Reader API</name>
     <license>Apache 2.0</license>
-    <version>1.1.3</version>
+    <version>1.4.1</version>
   </library>
   <library>
     <location>ltiprovider</location>